#if !defined CELESTIAL_CONSTANTS
#define CELESTIAL_CONSTANTS
    cFloat sunRadius = 6.95e8;
    cFloat sunDist = 1.49e11;
    cFloat sunAngularRadius = sunRadius / sunDist;

    cFloat moonRadius = 1.7e6;
    cFloat moonDist = 3.84e8;
    cFloat moonAngularRadius = moonRadius / moonDist;

    cVec3 sunIlluminance = vec3(1.0, 0.949, 0.937) * 120e3;
    cVec3 sunLuminance = sunIlluminance / coneAngleToSolidAngle(sunAngularRadius);

    cVec3 moonColor = vec3(0.135);
    cVec3 moonLuminance = moonColor * sunIlluminance;
    cVec3 moonIlluminance = moonLuminance * coneAngleToSolidAngle(moonAngularRadius);
#endif